/** Implements a planet, which has mass and radius
 *  provides ability to ask about gravity
 *  @author Josh Hug
 */

public class Planet {
	/* MEMBER VARIABLE */
	double mass;
	double radius;

	/* Constructor . no return value, same name as class */
	/* if a parameter has the same name as a member
	   variable. the member variable is 'shadowed' */
	public Planet(double mass, double radius) {
		this.mass = mass;
		this.radius = radius;
	}

	public static double surfaceGravity(Planet x) {
		return 6.67e-11 * x.mass / (x.radius * x.radius);
	}

	public double mySurfaceGravity() {
		return 6.67e-11 * mass / (radius * radius);
	}


	/** 
	 */
	public static void main(String[] args) {
		Planet earth = new Planet(6e24, 6.37e6);
		System.out.println(earth.mass);
		System.out.println(Planet.surfaceGravity(earth));
		System.out.println(earth.mySurfaceGravity());
	}
} 